#import "ItemArrayController.h"
#import "ItemElement.h"

@implementation ItemArrayController

- (void)awakeFromNib {
	NSFont *aFont;
    NSTableColumn *column;
	NSCell *cell;

	aFont = [NSFont fontWithName:@"HiraKakuPro-W3" size:10];

    column = [_tableView tableColumnWithIdentifier:@"title"];
    cell = [column dataCell];
	[cell setFont:aFont];
//	[cell setWraps:YES];

    column = [_tableView tableColumnWithIdentifier:@"date"];
    cell = [column dataCell];
	[cell setFont:aFont];

    column = [_tableView tableColumnWithIdentifier:@"link"];
    cell = [column dataCell];
	[cell setFont:aFont];
//	[cell setWraps:YES];
	
/*
    column = [_tableView tableColumnWithIdentifier:@"description"];
    cell = [column dataCell];
	[cell setFont:aFont];
//	[cell setWraps:YES];
*/

	[_textView setFont:aFont];
	
	//_uNbN̐ݒ
	[_tableView setTarget:self];
	[_tableView setDoubleAction:@selector(openDoubleFile:)];
}

// _uNbN̏
- (void)openDoubleFile:(id)sender {
	NSWorkspace *wspace = [NSWorkspace sharedWorkspace];
    NSMutableDictionary *properties;
	NSURL *url;
	NSString *urlString;
	ItemElement *element;
	NSArray *array;

	array = [self selectedObjects];
	element = [array objectAtIndex:0];
	properties = [element properties];

	urlString = [properties objectForKey:@"link"];

	if (urlString != nil) {
		[properties setValue:[NSNumber numberWithBool:NO] forKeyPath:@"check"];

		url = [NSURL URLWithString:urlString];
		[wspace openURL:url];
	}
}

@end
