//
//  ItemElement.m
//  OpenURLHatenaRSS
//
//  Created by KOYAMA Yoshiaki on 06/06/30.
//  Copyright 2006 KOYAMA Yoshiaki. All rights reserved.
//

#import "ItemElement.h"


@implementation ItemElement

- (id)init {

    if (self = [super init]) {
        NSArray *keys = [NSArray arrayWithObjects: @"title",@"link",@"date", @"check", @"description", nil];
        NSArray *values = [NSArray arrayWithObjects: @"title",@"link",@"date", @"check", @"description", nil];
        properties = [[NSMutableDictionary alloc] initWithObjects: values forKeys: keys];
	}
    return self;
}

- (id) initItemElement:(NSString *)title :(NSString *)link: (NSString *)date :(NSNumber *)check :(NSString *)description {

    if (self = [super init]) {
		NSArray *keys = [NSArray arrayWithObjects: @"title",@"link",@"date", @"check", @"description", nil];
        NSArray *values = [NSArray arrayWithObjects: title, link, date, check, description, nil];
 
		properties = [[NSMutableDictionary alloc] initWithObjects: values forKeys: keys];
 
    }
    return self;
}

- (void) dealloc
{
    [properties release];
    
    [super dealloc];
}

- (NSMutableDictionary *) properties
{
    return properties;
}

- (void) setProperties: (NSDictionary *)newProperties
{
    if (properties != newProperties)
    {
        [properties release];
        properties = [[NSMutableDictionary alloc] initWithDictionary: newProperties];
    }
}


@end
