//
//  Controller.h
//  OpenURLHatenaRSS
//
//  Created by KOYAMA Yoshiaki on 06/06/30.
//  Copyright 2006 KOYAMA Yoshiaki. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// RSS̎(ۂɂ RSS2_0OTHERpĂȂB)
enum rssGenerator {
	OTHER, HATENA, LIVEDOOR, RSS2_0
};

@interface Controller : NSObject {
	IBOutlet id _itemArrayController;
	IBOutlet id _indicator;
	IBOutlet id _clipIndicator;
	IBOutlet id _rssField;	
	IBOutlet id _window;	
	IBOutlet id _popUpButton;
}

- (IBAction)eraseRSSField:(id)sender;

- (IBAction)readHatenaRSS:(id)sender;
- (IBAction)openURLALL:(id)sender;
- (IBAction)openURLSelect:(id)sender;
- (IBAction)openURL10:(id)sender;
- (IBAction)openURL20:(id)sender;

- (IBAction)openURLNewALL:(id)sender;
- (IBAction)openURLNewSelect:(id)sender;
- (IBAction)openURLNew10:(id)sender;
- (IBAction)openURLNew20:(id)sender;

- (IBAction)openURLCheckALL:(id)sender;
- (IBAction)openURLNewCheckALL:(id)sender;
- (IBAction)openURLCheckALL2:(id)sender;

- (IBAction)popUpButtonRSS:(id)sender;

- (void)openURLCheckALLBOOL:(BOOL)newDiary :(BOOL)both;
 
- (void)openAlert:(NSString *)message :(NSString *)defaultMessage :(NSString *)informative :(NSString *)defaultInformative :(NSError *)err;

- (void)openURLSelectALL:(NSArray *)array :(BOOL)check :(BOOL)newDiary;
- (void)openURLMax:(int)max :(BOOL)newDiary;
- (BOOL)isCheck:(NSArray *)array;

- (IBAction)clear:(id)sender;
- (IBAction)clearCheck:(id)sender;
- (IBAction)allCheck:(id)sender;
- (IBAction)allCheckReverse:(id)sender;

- (void)alertDidEnd:(NSAlert *)alert returnCode:(int)returnCode  contextInfo:(void  *)contextInfo;
- (IBAction)stripUrlAction:(id)sender;

- (void)addElement:(NSString *)title :(NSString *)link :(NSString *)date :(NSString *)description;
- (void)removeObjects;

- (IBAction)copyTitle:(id)sender;
- (IBAction)copyURL:(id)sender;
- (void)copyTitleURL:(NSString *)keyString;
- (void)copyString:(NSString *)str;

@end
